Mac环境Python3.x/Python2.x安装第三方库,比如Pillow、Scrapy等

96
摸着石头过河_崖边树
0.1 2017.11.15 18:13* 字数 727

前言

Mac环境下虽然是系统自带Python2.x,但是我们往往都会使用最新的Python3.x版本进行Python编程,所以必将会导致我们的Mac上面有Python2.x/Python3.x两个版本,这个给我们安装第三方和使用带来一些不便,但是如果你看过这篇文章,那都不是事儿。

基本知识

Python开发环境PyCharm安装:PyCharm下载地址
pip安装: pip常用的python包管理工具,安装第三方库之前建议写安装他,安装方式也是比较简单
Python2.x安装pip,在终端上执行下面命令即可

sudo easy_install pip

安装Python3.x安装pip3 :通过下面命令安装Python3会自动安装pip3

brew install python3

如果不是通过这个命令安装,可以参考官方安装步骤

有了管理工具,现在我们安装第三方库就比较简单了,目前有两种方式:
第一种:通过PyCharm安装,有可能安装失败
第二种:通过终端命令安装

通过PyCharm开发环境安装第三方

根据截图指引安装步骤
Snip20171115_48.png

image.png
image.png

安装完成之后可以在终端输入命令查看是否成功
Python2.x

pip list

Python3.x

pip list

通过终端命令安装第三方

正常情况下命令都是通过pip/pip3来安装第三方

Python2.x 环境安装第三方库,默认的路径~python2.x/site-packages

pip install xxx (库的名称)
(或者) sudo pip install xxx (库的名称)
pip list 查看是否安装完成

Python3.x 环境安装第三方库~python3.x/site-packages

pip3 install xxx (库的名称)
(或者) sudo pip3 install xxx (库的名称)
pip3 list 查看是否安装完成

但是如果这个第三方有有一些依赖库,那么就不能通过简单的命令来安装,比如Scrapy的安装

Mac下Scrapy爬虫框架的安装

第一步:首先尝试在PyCharm开发环境中安装失败,查找原因是需要两个依赖库lxml 和 Twisted,其中Twisted安装失败是主要原因,所以我们自己通过命令安装

第二步:下载安装Scrapy所需要的依赖库
2.1 官网下载Twisted安装包,Twisted下载地址

image.png

2.2下载完成后解压Twisted-17.9.0.tar.bz2文件,然后cd到解压出来的文件目录Twisted-17.9.0(文件名)
执行命令,我希望给Python3安装, 这个运行完成就可以,不用等待结束就可以执行2.3命令

python3 setup.py install

2.3Twisted安装完成之后,再次运行命令就可以安装成功

pip3 install scrapy

最后安装完成


image.png

查看版本

scrapy version

最后赠言

学无止境,学习Python的伙伴可以多多交流。

Python历练之路
Web note ad 1